program Nadovezivanje;
uses SysUtils;
var
  a,b,c:int64;
  temp:real;
  rez:string;
  begin
    read(a,b,c);
    rez:=IntToStr(a)+IntToStr(b)+IntToStr(c);

    if (IntToStr(b)+IntToStr(a)+IntToStr(c))>rez then
    rez:=(IntToStr(b)+IntToStr(a)+IntToStr(c));

    if (IntToStr(b)+IntToStr(c)+IntToStr(a))>rez then
    rez:=(IntToStr(b)+IntToStr(c)+IntToStr(a));

    if (IntToStr(a)+IntToStr(c)+IntToStr(b))>rez then
    rez:=(IntToStr(a)+IntToStr(c)+IntToStr(b));

    if (IntToStr(c)+IntToStr(a)+IntToStr(b))>rez then
    rez:=(IntToStr(c)+IntToStr(a)+IntToStr(b));

    if (IntToStr(c)+IntToStr(b)+IntToStr(a))>rez then
    rez:=(IntToStr(c)+IntToStr(b)+IntToStr(a));

    writeln(rez);


end.